Page 5 of 5

Re: Doom 4 Vanilla 3.1 [NEW!!] - Compatible with BTSX

PostPosted: Thu Apr 16, 2020 5:45 pm
by oppo1021
Thorogrimm wrote:Is there a chance of there being a Doom Eternal for Vanilla?

I might take you up on that offer.

Re: Doom 4 Vanilla 3.2 [NEW!!] - Compatible with BTSX

PostPosted: Sat Apr 18, 2020 1:18 pm
by Phobos867
VERSION 3.2 RELEASED
I made several adjustments and fixes to run better on GZDoom, including a shortcut to the Weapon Setup screen (see the changelog)

DOWNLOADS:
https://www.doomworld.com/forum/topic/1 ... nt-2116664
Please, read the included instructions if you want to play on GZDoom or any other port. Thanks!

GENERAL:
- Added the GZDoom Weapon Setup to the main menu
- Improved a few enemy sprites
- Updated the Crispy Doom to the 5.7.1 version

BTSX EDTION:
- Fixed E1 not working on Doom Retro
- Fixed some brightmap errors on software render
- Added a few missing brightmaps on hardware render
- Fixed the blinking lavafall on hardware render
- Improved the Plasma Rifle sprites
- Fixed some minor compatibility issues

Image

Re: Doom 4 Vanilla 3.2.1 [NEW VERSION] - Compatible with BTS

PostPosted: Sat Apr 25, 2020 4:00 pm
by Phobos867
VERSION 3.2.1 RELEASED
Updated Crispy Doom to the 5.8.0 version (with widescreen support)
After some issues I was finally able to put a newer version of Crispy Doom as I planned earlier. I decided to put only the main Crispy executable from 5.8.0 and everything seems to be fine. This is the only change from the previous D4V version since I'm a bit busy with IRL stuff, so I will keep this version as 3.2.1. I also improved the convertion of a few textures.


DOWNLOADS:
https://www.doomworld.com/forum/topic/1 ... nt-2119868

Re: Doom 4 Vanilla 3.2.1 [NEW VERSION] - Compatible with BTS

PostPosted: Sun May 24, 2020 5:51 am
by MrRumbleRoses
so. i was trying this mod out with Doom 2 The Way ID Did, and i got to map 7 with the fixed version. and it seems when i 1st teleport. i take damage from some kinda explosion. and it's really. really annoying. and i tested it out without D4V and that doesn't happen at all

Re: Doom 4 Vanilla 3.2.1 [NEW VERSION] - Compatible with BTS

PostPosted: Sun May 24, 2020 9:27 am
by PeanutButterJelyJam
Hey can you please make patch that make it such that the main weapons and alternative weapons spawn half of the time.
Like imagine there is a map with one shotgun.
I want that shotgun to be the shotgun half of the time and the Hellshot half of the time.
I have tried this bit of code but it doesn't work

Code: Select allExpand view
ACTOR WeaponSpawner : RandomSpawner replaces D4V_Shotgun
{
    DropItem "DH_Shotgun", 128, 2
    DropItem "D4V_Hellshot", 256, 1
}


BTW Make it all the weapons and not only the shotgun

Re: Doom 4 Vanilla

PostPosted: Fri Aug 14, 2020 1:14 pm
by theJuilesyboy
great job, i do miss the new mechanics added by other doom2016 mods, 2x jump, dash, weapon upgrades ect, but this is excellent at what it does

Re: Doom 4 Vanilla 3.2.1 [NEW VERSION] - Compatible with BTS

PostPosted: Fri Aug 14, 2020 4:03 pm
by theJuilesyboy
tested it with Doom exp, most of Doom one cleared, seems to work well.

Re: Doom 4 Vanilla 3.2.1 [NEW VERSION] - Compatible with BTS

PostPosted: Mon Aug 17, 2020 12:56 pm
by theJuilesyboy
Would it be possible to make this work with EOA, seems like just the weapons are the only conflict, how would i go about making a patch, is it possible, i cant find much online information at all. i have been modding games for years, only recently came back to doom after many years and was quite blown away by what the community here has done, came along way since 2009. i have played nearly all major game play mods this last month, your mod is one of the best i have played along with EOA, i made a post in general but didn't get much of a response.

scratch that i got it done. great mod, boss fights are epic

Re: Doom 4 Vanilla 3.2.1 [NEW VERSION] - Compatible with BTS

PostPosted: Fri Feb 12, 2021 3:37 pm
by Void Warrior
I tried to play Stardate 20X6 with D4V, but I get this error.

Script error, "D4V.wad:ANIMDEFS" line 60:
Unknown texture LFALL4

What's my problem? GZDOOM 4.5.0. The order of the files is as follows: stardate20X6.wad, D4V.wad, D4V.deh & nashgore.pk3. I use ZDL Launcher.

Re: Doom 4 Vanilla 3.2.1 [NEW VERSION] - Compatible with BTS

PostPosted: Mon May 03, 2021 10:20 am
by k33n0k
why these textures in sigil are green with ur mod instead of bloodred?

loaded d4v with sigil & zdoom! right in the first room of the first map.